Bug 1415781 - Hamster doesn't show start and stop times entries and start / stop buttons
Summary: Hamster doesn't show start and stop times entries and start / stop buttons
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: hamster-time-tracker
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1523099
TreeView+ depends on / blocked
 
Reported: 2017-01-23 17:18 UTC by Eric Lavarde
Modified: 2017-12-12 10:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:47:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Eric Lavarde 2017-01-23 17:18:30 UTC
Description of problem:
I was a happy hamster user under RHEL 7 and moved recently to Fedora 25, where Hamster can't be used.

Version-Release number of selected component (if applicable):
$ rpm -q hamster-time-tracker gnome-shell
hamster-time-tracker-2.0-0.9.rc1.fc25.noarch
gnome-shell-3.22.2-2.fc25.x86_64
(Fedora 25 updated today)

How reproducible:
Always

Steps to Reproduce:
1. Alt+F2
2. type hamster + <Enter>

Actual results:
The window is completely emtpy, there is no way to start / stop tracking time.

Expected results:
As in RHEL 7, there is a dialog to start tracking time on a pre-defined project and then a button to stop tracking.

Additional info:
- pressing the + button to add previous times, there is no more start and stop times entries in the dialog, and there is no way to stop the entry from the GUI.
- hamster doesn't appear anymore in the Top Icons Plus shell extension as tray icon.
- start, stop, etc seem to work fine from the command line but that's not really practicable...
- doesn't seem to be a Wayland issue as it looks exactly the same when starting Gnome from Xorg.

Comment 1 Nick Fenwick 2017-02-25 02:49:32 UTC
I am completely mystified by this also, perhaps we face the same issue.  I'm migrating from an Ubuntu 16.04 laptop to my Fedora 25 desktop, I have tried the normal repository version and also what seems to be a different build at http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=471063 just in case that would be different.

hamster-time-tracker-2.0-0.10.rc1.fc26.noarch.rpm
gnome-shell-3.22.2-2.fc25.x86_64

I simply cannot see how to record time periods any more.  The Save button on the Add Previous Activity button is greyed out and there is no way to enter times or dates.  See http://i.imgur.com/562iJxS.png

I also find the Gnome 3 shell extension https://extensions.gnome.org/extension/425/project-hamster-extension/ installs without error but nothing appears, and it's not visible in the Tweak Tool's list of Extensions, although the extensions site does show the 'On' indicator, and I can change it to 'Off' and get the normal Uninstall dialog popup.

I can use the command line interface as Eric says above but of course that's not practical long term.

What's going on?

I happen to have an old hamster-time-tracker-1.03.2-1.fc18.x86_64.rpm in my downloads dir which installs and works fine (so far) on fc25, I'll use that for now.

Comment 2 Fedora End Of Life 2017-11-16 19:05:27 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:47:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.